    //
    //  UserInfoModel.swift
    //  BrokerDriver
    //
    //  Created by 无故事王国 on 2023/4/26.
    //

import Foundation
import HandyJSON

struct UserInfoModel:HandyJSON {

    var account: String = ""
    var headImg:String = ""
    var address: String = ""
    var applicationDate: String = ""
    var bonusEligibilityDate: String = ""
    var carriersId: String = ""
    var cdlNumber: String = ""
    var companyId: String = ""
    var contactNumber: String = ""
    var createTime: String = ""
    var dateOfBrith: String = ""
    var dotCardExpirationDate: String = ""
    var driverName: String = ""
    var driverNumber: String = ""
    var driverType: String = ""
    var drivingSchool: String = ""
    var groupNumber: String = ""
    var hazmatExpriationDate: String = ""
    var hireDate: String = ""
    var id: Int = 0
    var idNumber: String = ""
    var insuranceCo: String = ""
    var insuranceExpirationDate: String = ""
    var isCarriers: Int = 0 //2是承运商
    var lastAlcoholTestDate: String = ""
    var lastDrugTestDate: String = ""
    var lastRoadTestDate: String = ""
    var licenseEndorsements: String = ""
    var licenseEndorsementsOne: String = ""
    var licenseExpirationDate: String = ""
    var licenseType: String = ""
    var password: String = ""
    var rehirable: String = ""
    var remove: Int = 0
    var sinceYear: String = ""
    var status: String = ""
    var statusRemark: String = ""
    var terminationDate: String = ""
    var token: String = ""
    var twicCardExpirationDate: String = ""
    var typeOfExperience: String = ""

    func save(){
        UserDefaults.standard.set(self.toJSONString() ?? "", forKey: "user_info")
        UserDefaults.standard.synchronize()
    }
}


struct UserCompanyModel:HandyJSON {
    var address:String = ""
    var companyName:String = ""
    var contactEmail:String = ""
    var contactPhone:String = ""
    var scacCode:String = ""
    var setUpTheTime: String = ""
}


struct UserWalletModel:HandyJSON{
    var allTotal: Double = 0
    var billNumber: String  = ""
    var list = [UserWalletDataModel]()
    var paid: Double = 0
    var unpaid: Double = 0
}

struct UserWalletDataModel:HandyJSON{
    var dueDate: String = ""
    var invoicesTime: String  = ""
    var money: Double = 0
    var payStatus: Int = 0 // 1是0否
    var shipmentId: String  = ""
}


struct UserProfileModel:HandyJSON {
    var address: String = ""
    var contactNumber: String = ""
    var dateOfBrith: String = ""
    var driverEmployeeNumber: String = ""
    var driverName: String = ""
    var driverType: DriverType = .none
    var id: Int = 0
    var notes: String = ""
    var status: DriverInfoStatus = .none
}


class RegisterModel:HandyJSON{
	var account: String?
	var address: String?
	var applicationDate: String?
	var bonusEligibilityDate: String?
	var carriersId: Int = 0
	var cdlNumber: String?
	var companyId: Int = 0
	var contactNumber: String?
	var createTime: String?
	var dateOfBrith: String?
	var dotCardExpirationDate: String?
	var driverName: String?
	var driverNumber: String?
	var driverType: Int = 0
	var drivingSchool: String?
	var groupNumber: String?
	var hazmatExpriationDate: String?
	var hireDate: String?
	var id: Int = 0
	var idNumber: String?
	var insuranceCo: String?
	var insuranceExpirationDate: String?
	var isCarriers: Int = 0
	var lastAlcoholTestDate: String?
	var lastDrugTestDate: String?
	var lastRoadTestDate: String?
	var licenseEndorsements: String?
	var licenseEndorsementsOne: String?
	var licenseExpirationDate: String?
	var licenseType: String?
	var password: String?
	var rehirable: String?
	var remove: Int = 0
	var sinceYear: String?
	var status: Int = 0
	var statusRemark: String?
	var terminationDate: String?
	var twicCardExpirationDate: String?
	var typeOfExperience: String?

	required init(){}
}

struct BasicModel:HandyJSON{
	var name = ""
	var id = 0
}
